cURL
curl --request GET \
--url https://cockroachlabs.cloud/api/v1/clusters/{cluster_id}/networking/private-endpoint-trusted-owners/{owner_id} \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"trusted_owner": {
"cluster_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"external_owner_id": "<string>",
"id": "<string>",
"type": "AWS_ACCOUNT_ID"
}
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Get a private endpoint trusted owner entry for a cluster
Can be used by the following roles assigned at the organization, folder or cluster scope:
- CLUSTER_ADMIN
- CLUSTER_OPERATOR_WRITER
- AUDITOR
GET
/
api
/
v1
/
clusters
/
{cluster_id}
/
networking
/
private-endpoint-trusted-owners
/
{owner_id}
cURL
curl --request GET \
--url https://cockroachlabs.cloud/api/v1/clusters/{cluster_id}/networking/private-endpoint-trusted-owners/{owner_id} \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"trusted_owner": {
"cluster_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"external_owner_id": "<string>",
"id": "<string>",
"type": "AWS_ACCOUNT_ID"
}
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}This endpoint is in Limited Access and may not be available to all users. Refer to the API support policy for more details.

